test: ntwow64.h File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# ntwow64.h File Reference

Go to the source code of this file.

## Functions

NTSYSAPI NTSTATUS NTAPI | NtWow64CsrClientConnectToServer (IN PWSTR ObjectDirectory, IN ULONG ServerDllIndex, IN PCSR_CALLBACK_INFO CallbackInformation OPTIONAL, IN PVOID ConnectionInformation, IN OUT PULONG ConnectionInformationLength OPTIONAL, OUT PBOOLEAN CalledFromServer OPTIONAL)
NTSYSAPI NTSTATUS NTAPI | NtWow64CsrNewThread (VOID)
NTSYSAPI NTSTATUS NTAPI | NtWow64CsrIdentifyAlertableThread (VOID)
NTSYSAPI NTSTATUS NTAPI | NtWow64CsrClientCallServer (IN OUT PCSR_API_MSG m, IN OUT PCSR_CAPTURE_HEADER CaptureBuffer OPTIONAL, IN CSR_API_NUMBER ApiNumber, IN ULONG ArgLength)
NTSYSAPI PCSR_CAPTURE_HEADER NTAPI | NtWow64CsrAllocateCaptureBuffer (IN ULONG CountMessagePointers, IN ULONG Size)
NTSYSAPI VOID NTAPI | NtWow64CsrFreeCaptureBuffer (IN PCSR_CAPTURE_HEADER CaptureBuffer)
NTSYSAPI ULONG NTAPI | NtWow64CsrAllocateMessagePointer (IN OUT PCSR_CAPTURE_HEADER CaptureBuffer, IN ULONG Length, OUT PVOID *Pointer)
NTSYSAPI VOID NTAPI | NtWow64CsrCaptureMessageBuffer (IN OUT PCSR_CAPTURE_HEADER CaptureBuffer, IN PVOID Buffer OPTIONAL, IN ULONG Length, OUT PVOID *CapturedBuffer)
NTSYSAPI VOID NTAPI | NtWow64CsrCaptureMessageString (IN OUT PCSR_CAPTURE_HEADER CaptureBuffer, IN PCSTR String OPTIONAL, IN ULONG Length, IN ULONG MaximumLength, OUT PSTRING CapturedString)
NTSYSAPI NTSTATUS NTAPI | NtWow64CsrSetPriorityClass (IN HANDLE ProcessHandle, IN OUT PULONG PriorityClass)
NTSYSAPI NTSTATUS NTAPI | NtDbgUiConnectToDbg (VOID)
NTSTATUS | NtDbgUiWaitStateChange (OUT PDBGUI_WAIT_STATE_CHANGE StateChange, IN PLARGE_INTEGER Timeout OPTIONAL)
NTSYSAPI NTSTATUS NTAPI | NtDbgUiContinue (IN PCLIENT_ID AppClientId, IN NTSTATUS ContinueStatus)
NTSYSAPI NTSTATUS | NtWow64DebuggerCall (IN ULONG ServiceClass, IN ULONG Arg1, IN ULONG Arg2)

## Function Documentation

NTSYSAPI NTSTATUS NTAPI NtDbgUiConnectToDbg | ( | VOID |  | ) |

| Referenced by DbgUiConnectToDbg().

NTSYSAPI NTSTATUS NTAPI NtDbgUiContinue | ( | IN PCLIENT_ID | AppClientId,
|  | IN NTSTATUS | ContinueStatus
| ) |

| Referenced by DbgUiContinue().

NTSTATUS NtDbgUiWaitStateChange | ( | OUT PDBGUI_WAIT_STATE_CHANGE | StateChange,
|  | IN PLARGE_INTEGER Timeout | OPTIONAL
| ) |

| Referenced by DbgUiWaitStateChange().

NTSYSAPI PCSR_CAPTURE_HEADER NTAPI NtWow64CsrAllocateCaptureBuffer | ( | IN ULONG | CountMessagePointers,
|  | IN ULONG | Size
| ) |

| Referenced by CsrAllocateCaptureBuffer().

NTSYSAPI ULONG NTAPI NtWow64CsrAllocateMessagePointer | ( | IN OUT PCSR_CAPTURE_HEADER | CaptureBuffer,
|  | IN ULONG | Length,
|  | OUT PVOID * | Pointer
| ) |

| Referenced by CsrAllocateMessagePointer().

NTSYSAPI VOID NTAPI NtWow64CsrCaptureMessageBuffer | ( | IN OUT PCSR_CAPTURE_HEADER | CaptureBuffer,
|  | IN PVOID Buffer | OPTIONAL,
|  | IN ULONG | Length,
|  | OUT PVOID * | CapturedBuffer
| ) |

| Referenced by CsrCaptureMessageBuffer().

NTSYSAPI VOID NTAPI NtWow64CsrCaptureMessageString | ( | IN OUT PCSR_CAPTURE_HEADER | CaptureBuffer,
|  | IN PCSTR String | OPTIONAL,
|  | IN ULONG | Length,
|  | IN ULONG | MaximumLength,
|  | OUT PSTRING | CapturedString
| ) |

| Referenced by CsrCaptureMessageString().

NTSYSAPI NTSTATUS NTAPI NtWow64CsrClientCallServer | ( | IN OUT PCSR_API_MSG | m,
|  | IN OUT PCSR_CAPTURE_HEADER CaptureBuffer | OPTIONAL,
|  | IN CSR_API_NUMBER | ApiNumber,
|  | IN ULONG | ArgLength
| ) |

| Referenced by CsrClientCallServer().

NTSYSAPI NTSTATUS NTAPI NtWow64CsrClientConnectToServer | ( | IN PWSTR | ObjectDirectory,
|  | IN ULONG | ServerDllIndex,
|  | IN PCSR_CALLBACK_INFO CallbackInformation | OPTIONAL,
|  | IN PVOID | ConnectionInformation,
|  | IN OUT PULONG ConnectionInformationLength | OPTIONAL,
|  | OUT PBOOLEAN CalledFromServer | OPTIONAL
| ) |

| Referenced by CsrClientConnectToServer().

NTSYSAPI VOID NTAPI NtWow64CsrFreeCaptureBuffer | ( | IN PCSR_CAPTURE_HEADER | CaptureBuffer | ) |

| Referenced by CsrFreeCaptureBuffer().

NTSYSAPI NTSTATUS NTAPI NtWow64CsrIdentifyAlertableThread | ( | VOID |  | ) |

| Referenced by CsrIdentifyAlertableThread().

NTSYSAPI NTSTATUS NTAPI NtWow64CsrNewThread | ( | VOID |  | ) |

| Referenced by CsrNewThread().

NTSYSAPI NTSTATUS NTAPI NtWow64CsrSetPriorityClass | ( | IN HANDLE | ProcessHandle,
|  | IN OUT PULONG | PriorityClass
| ) |

| Referenced by CsrSetPriorityClass().

NTSYSAPI NTSTATUS NtWow64DebuggerCall | ( | IN ULONG | ServiceClass,
|  | IN ULONG | Arg1,
|  | IN ULONG | Arg2
| ) |

| Referenced by DebugService().